# $Revision: 1.25 $, $Date: 2010/06/06 08:30:22 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
Summary:	Audio Perl module - beginnings of Audio manipulation routines from Perl
Summary(pl.UTF-8):	Moduł Perla Audio - początki funkcji do obróbki dźwięku w Perlu
Name:		perl-Audio
Version:	1.029
Release:	4
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	58b67ade294b960f617d9ccc495f07f1
Patch0:		%{name}-nas-fix.patch
Patch1:		%{name}-perl_version.patch
BuildRequires:	alsa-lib-devel >= 0.9.0
BuildRequires:	nas-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio Perl module - the beginnings of Audio manipulation routines from
Perl. It can load or save Sun/Next .au/.snd files and play them via
ALSA, Network Audio Server (from ftp://ftp.x.org/) or native Sun (or
compatible) /dev/audio.

%description -l pl.UTF-8
Moduł Perla Audio - początki funkcji do obróbki dźwięku w Perlu. Moduł
ten potrafi wczytywać i zapisywać pliki .au/.snd z Suna/NeXTa oraz
odtwarzać je przez sterowniki ALSA, NAS albo sunowskie (lub
kompatybilne) /dev/audio.

%package Play-Net
Summary:	Audio::Play::Net - nas driver for Audio module
Summary(pl.UTF-8):	Audio::Play::Net - sterownik nas do modułu Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Play-Net
Audio::Play::Net - nas driver for Audio module.

%description Play-Net -l pl.UTF-8
Audio::Play::Net - sterownik nas do modułu Audio.

%package Tk
Summary:	Tk interface to Audio Perl module
Summary(pl.UTF-8):	Interfejs Tk do modułu Perla Audio
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description Tk
Tk interface to Audio Perl module.

%description Tk -l pl.UTF-8
Interfejs Tk do modułu Perla Audio.

%package devel
Summary:	Audio Perl module - development files
Summary(pl.UTF-8):	Moduł Perla Audio - pliki nagłówkowe
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}

%description devel
Audio Perl module - development files.

%description devel -l pl.UTF-8
Moduł Perla Audio - pliki nagłówkowe.

%prep
%setup -q -n %{pdir}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="-Wall %{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# names are too common
cd $RPM_BUILD_ROOT%{_bindir}
for f in * ; do
	mv -f $f Audio-$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/Audio-[dmp]*
%{perl_vendorarch}/Audio/*.pm
%{perl_vendorarch}/Audio/Data
%dir %{perl_vendorarch}/Audio/Play
%{perl_vendorarch}/Audio/Play/linux.pm
%dir %{perl_vendorarch}/auto/Audio/Data
%{perl_vendorarch}/auto/Audio/Data/autosplit.ix
%{perl_vendorarch}/auto/Audio/Data/solve_polynomial.al
%{perl_vendorarch}/auto/Audio/Data/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Data/*.so
%dir %{perl_vendorarch}/auto/Audio/Play
%{perl_vendorarch}/auto/Audio/Play/autosplit.ix
%dir %{perl_vendorarch}/auto/Audio/Play/linux
%{perl_vendorarch}/auto/Audio/Play/linux/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Play/linux/*.so
%{_mandir}/man3/*

%files Play-Net
%defattr(644,root,root,755)
%{perl_vendorarch}/Audio/Play/Net.pm
%dir %{perl_vendorarch}/auto/Audio/Play/Net
%{perl_vendorarch}/auto/Audio/Play/Net/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/Play/Net/*.so

%files Tk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/Audio-t*
%{perl_vendorarch}/Tk/Scope.pm

%files devel
%defattr(644,root,root,755)
%doc README.Porting
%{perl_vendorarch}/Audio/*.h
%{perl_vendorarch}/Audio/*.m
%{perl_vendorarch}/Audio/*.t
%{perl_vendorarch}/Audio/typemap

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio.spec,v $
Revision 1.25  2010/06/06 08:30:22  arekm
- release 4

Revision 1.24  2009/11/16 11:24:56  sparky
- rel 3, because of "auto/Audio/Data/Data.so: undefined symbol: Perl_pad_sv"

Revision 1.23  2008/02/10 11:59:09  arekm
- rel 2

Revision 1.22  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.21  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.19  2006/08/21 23:00:00  qboosh
- updated to 1.029, now uses new ALSA API

Revision 1.18  2004/11/03 22:30:08  paladine
- formatting

Revision 1.17  2004/06/05 18:10:31  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/07 00:31:59  ankry
- rel. 2

Revision 1.15  2004/05/06 18:09:16  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/18 13:52:19  qboosh
- fixed build, BR: alsa-lib-devel (now it uses ALSA on Linux instead of OSS)

Revision 1.13  2004/04/16 07:19:38  ankry
- license fixes and unification

Revision 1.12  2004/04/11 05:57:02  agaran
- update to 1.028, rel 1

Revision 1.11  2004/03/09 20:45:11  adamg
- new style bconds

Revision 1.10  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:23  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/27 20:50:48  ankry
- fixed %files

Revision 1.5  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.4  2003/02/19 14:58:45  ankry
- updated to 1.000
- added -devel and -Tk subpackages

Revision 1.3  2003/02/18 15:26:35  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/04 19:37:38  ankry
- added -perl_version patch fixing Perl version string in require
- release 2

Revision 1.1  2002/08/04 11:39:18  qboosh
- new
